/** @file
  MeSmmProtocolThunk.h -- Header for MeSmmProtocolThunk

  Source: DEBUG_VS2015\X64\PurleyRpPkg\Platform\Dxe\MeSmmProtocolThunk\MeSmmProtocolThunk\DEBUG
  Build: HR6N0XMLK DEBUG_VS2015 X64

Copyright (c) HR650X BIOS Decompilation Project
**/

#ifndef __MESMMPROTOCOLTHUNK_H__
#define __MESMMPROTOCOLTHUNK_H__

#include "../uefi_headers/Uefi.h"

//
// Function Prototypes
//

///
/// ModuleEntryPoint -- UEFI entry point / initialization function
///
EFI_STATUS
EFIAPI
ModuleEntryPoint(
  VOID
);

///
/// sub_4D4
///
EFI_STATUS
EFIAPI
sub_4D4(
  VOID
);

///
/// sub_6D4
///
EFI_STATUS
EFIAPI
sub_6D4(
  VOID
);

///
/// sub_7E4
///
EFI_STATUS
EFIAPI
sub_7E4(
  VOID
);

///
/// sub_360
///
EFI_STATUS
EFIAPI
sub_360(
  VOID
);

///
/// sub_904
///
EFI_STATUS
EFIAPI
sub_904(
  VOID
);

///
/// sub_2C0
///
EFI_STATUS
EFIAPI
sub_2C0(
  VOID
);

#endif /* __MESMMPROTOCOLTHUNK_H__ */